package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mosty.base.model.dto.jcgl.TbJcglKfdDto;
import com.mosty.base.model.dto.qwzx.AppSearchQuery;
import com.mosty.base.model.entity.jcgl.TbJcglKfd;
import com.mosty.base.model.query.jcgl.TbJcglKfdQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglKfdService {

    IPage<TbJcglKfdDto> selectKfdList(TbJcglKfdQuery dto);

    int addKfd(TbJcglKfdDto tbJcglKfd);

    int updateKfd(TbJcglKfdDto tbJcglKfd);

    TbJcglKfdDto selectByid(String id);

    void deleteKfd(List<String> id);

    @ApiOperation("app获取快反点列表")
    Page<TbJcglKfd> getKfdList(AppSearchQuery dto);

    @ApiOperation("获取所有快反点")
    List<TbJcglKfdDto> getListAll();
}
